<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="learning.nourbaha.sematecadvance">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:replace="android:icon">
        <meta-data
            android:name="DATABASE"
            android:value="sugar_sematecadvance.db" />
        <meta-data
            android:name="VERSION"
            android:value="3" />
        <meta-data
            android:name="QUERY_LOG"
            android:value="true" />
        <meta-data
            android:name="DOMAIN_PACKAGE_NAME"
            android:value="learning.nourbaha.sematecadvance" />

        <activity android:name=".MainActivity" />
        <activity android:name=".login.LoginActivity" />

        <service android:name=".LocationService" />

        <activity
            android:name=".splashscreen.SplashScreenActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar">

        </activity>
        <activity
            android:name=".userreport.UserReportActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <activity android:name=".register.RegisterActivity" />
        <activity
            android:name=".leaguetable.LeagueActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <!--
             The API key for Google Maps-based APIs is defined as a string resource.
             (See the file "res/values/google_maps_api.xml").
             Note that the API key is linked to the encryption key used to sign the APK.
             You need a different API key for each encryption key, including the release key that is used to
             sign the APK for publishing.
             You can define the keys for the debug and release targets in src/debug/ and src/release/. 
        -->
        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key" />

        <activity
            android:name=".searchLocationForWeather.LocationOnMapActivity"
            android:label="@string/title_activity_maps">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

        </activity>
    </application>

</manifest>